/*
 * Copyright (c) 2009-2017, United States Government, as represented by the Secretary of Health and Human Services.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *     * Redistributions of source code must retain the above
 *       copyright notice, this list of conditions and the following disclaimer.
 *     * Redistributions in binary form must reproduce the above copyright
 *       notice, this list of conditions and the following disclaimer in the documentation
 *       and/or other materials provided with the distribution.
 *     * Neither the name of the United States Government nor the
 *       names of its contributors may be used to endorse or promote products
 *       derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE UNITED STATES GOVERNMENT BE LIABLE FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package gov.hhs.fha.nhinc.util;

/**
 *
 * @author narendra.reddy
 */
public interface DeferredGUIConstants {

    // Requestor Constants
    public static final String REQSENTERR = "Request Sent Error";
    public static final String REQPROCESS = "Request Processed";
    public static final String REQSENT = "Request Sent";
    public static final String REQSENTACK = "Request Sent Acknowledged";
    public static final String REQRCVD = "Request Received";
    public static final String REQRCVDACK = "Request Received Acknowledged";
    public static final String REQRCVDERR = "Request Received Error";

    // Response Constants.
    public static final String RSPRCVDERR = "Response Received Error";
    public static final String RSPRCVD = "Response Received";
    public static final String RSPRCVDACK = "Response Received Acknowledged";
    public static final String RSPSELECT = "Response Selected";
    public static final String RSPPROCESS = "Response Processed";
    public static final String RSPSENT = "Response Sent";
    public static final String RSPSENTACK = "Response Sent Acknowledged";
    public static final String RSPSENTERR = "Response Sent Error";

}
